var z g R y p; 

varexo e_z e_g e_m; 

parameters tau bet kappa psi1 psi2 rhoz rhog rhom rhozg rhogz stdz stdg stdm;

@#include "anscho_params_orig.m"

model;
z = rhoz*z(-1) + rhozg*g(-1) + stdz*e_z;
g = rhog*g(-1) + rhogz*z(-1) + stdg*e_g;
y = y(+1) + (1-rhog)*g - rhogz*z - 1/tau*(R-p(+1)-rhoz*z-rhozg*g);
p = bet*p(+1) + kappa*(y-g);
R = rhom*R(-1) + (1-rhom)*psi1*p + (1-rhom)*psi2*(y-g) + stdm*e_m;
end;

shocks;
var e_z; stderr 1;
var e_g; stderr 1;
var e_m; stderr 1;
end;

initval;
z=0;
g=0;
y=0;
p=0;
R=0;
end;

steady;
check;

stoch_simul(irf=0,order=1);
